{{- if .Values.nfs.enabled -}}
apiVersion: v1
kind: PersistentVolumeClaim
metadata:
  name: {{ include "vhaudiquet-fr.fullname" . }}-public
  labels:
    {{- include "vhaudiquet-fr.labels" . | nindent 4 }}
spec:
  accessModes:
    - ReadOnlyMany
  storageClassName: {{ .Values.nfs.storageClassName | default (printf "%s-nfs" (include "vhaudiquet-fr.fullname" .)) }}
  resources:
    requests:
      storage: {{ .Values.nfs.storageSize }}
{{- end }}
